%global dlrn_nvr vmware-nsx-15.1.1.dev265-2.20220406200213.85e77c2
%global dlrn 1
%define upstream_version 15.1.1.dev265
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{commit}}
%global commit 490080a0521b0cc188517824af1f59424e9bb85b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
%{?dlrn: %global tarsources %{srcname}-%{upstream_version}}
%{!?dlrn: %global tarsources %{srcname}}


%global drv_vendor VMware
%global srcname vmware-nsx
%global docpath doc/build/html
%global service neutron
%global pyname vmware_nsx
%global rhosp 1

%global with_doc 0

Name:           python-networking-%{srcname}
Version: 15.1.1
Release: 2.20220406200213.85e77c2%{?dist}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
# TODO: really, there are no packages on PyPI or anywhere else
URL:            https://pypi.python.org/pypi/%{srcname}
Source0: vmware-nsx-15.1.1.dev265-2.20220406200213.85e77c2.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=85e77c23779d2d53879fe1be335e27a7e94a7631

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-mock >= 2.0.0
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-tenacity
BuildRequires:  python%{pyver}-vmware-nsxlib
# Required for config file generation
BuildRequires:  python%{pyver}-debtcollector
BuildRequires:  python%{pyver}-oslo-config >= 2:5.1.0
BuildRequires:  python%{pyver}-oslo-i18n >= 3.15.3
BuildRequires:  python%{pyver}-oslo-vmware >= 2.17.0
BuildRequires:  python%{pyver}-neutron
BuildRequires:  openstack-macros

%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.

%package -n python%{pyver}-networking-%{srcname}
%{?python_provide:%python_provide python%{pyver}-networking-%{srcname}}
Summary:        %{drv_vendor} OpenStack Neutron driver
%if %{pyver} == 3
Obsoletes: python2-%{srcname} < %{version}-%{release}
%endif

%if 0%{?rhosp} == 0
Requires:       openstack-neutron-fwaas >= 1:12.0.0
Requires:       openstack-neutron-vpnaas >= 1:12.0.0
%endif
Requires:       openstack-neutron-common >= 1:12.0.0
Requires:       python%{pyver}-eventlet >= 0.24.1
Requires:       python%{pyver}-netaddr >= 0.7.18
Requires:       python%{pyver}-networking-l2gw >= 12.0.0
Requires:       python%{pyver}-networking-sfc >= 6.0.0
Requires:       python%{pyver}-neutron >= 1:13.0.0
Requires:       python%{pyver}-neutron-dynamic-routing >= 12.0.0
Requires:       python%{pyver}-neutron-lib >= 1.25.0
Requires:       python%{pyver}-openstackclient >= 3.16.0
Requires:       python%{pyver}-osc-lib >= 1.10.0
Requires:       python%{pyver}-oslo-concurrency >= 3.26.0
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-oslo-context >= 2.19.2
Requires:       python%{pyver}-oslo-db >= 4.37.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-oslo-serialization >= 2.18.0
Requires:       python%{pyver}-oslo-service >= 1.31.0
Requires:       python%{pyver}-oslo-utils >= 3.33.0
Requires:       python%{pyver}-oslo-vmware >= 2.17.0
Requires:       python%{pyver}-pbr >= 4.0.0
Requires:       python%{pyver}-prettytable >= 0.7.2
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-sqlalchemy >= 1.2.0
Requires:       python%{pyver}-stevedore >= 1.20.0
Requires:       python%{pyver}-tenacity >= 4.4.0
Requires:       python%{pyver}-tooz >= 1.58.0
Requires:       python%{pyver}-vmware-nsxlib >= 12.0.0
Requires:       python%{pyver}-ovsdbapp >= 0.10.0

# Handle python2 exception
%if %{pyver} == 2
Requires:       python-decorator
Requires:       python-enum34
Requires:       python-httplib2 >= 0.9.1
%else
Requires:       python%{pyver}-decorator
Requires:       python%{pyver}-httplib2 >= 0.9.1
%endif

%description -n python%{pyver}-networking-%{srcname}
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%if 0%{?with_doc}
%package doc
Summary:        %{summary} documentation


%description doc
This package contains documentation for %{drv_vendor} networking driver for
OpenStack Neutron.
%endif

%prep
%autosetup -n %{tarsources} -S git

%py_req_cleanup


%build
%{pyver_build}

%if 0%{?with_doc}
sphinx-build-%{pyver} -b html doc/source doc/build/html
rm -rf %{docpath}/.buildinfo %{docpath}/.doctrees
%endif


%install
export PBR_VERSION=%{version}
%{pyver_install}

# Generate configuration files
PYTHONPATH=.
for file in `ls etc/oslo-config-generator/*`; do
    oslo-config-generator-%{pyver} --config-file=$file
done

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware
mv etc/nsx.ini.sample %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware/nsx.ini

%files -n python%{pyver}-networking-%{srcname}
%license LICENSE
%{_bindir}/nsx-migration
%{_bindir}/neutron-check-nsx-config
%{_bindir}/nsxadmin
%{pyver_sitelib}/%{pyname}
%{pyver_sitelib}/%{pyname}-%{version}-*.egg-info
%dir %{_sysconfdir}/%{service}/plugins/vmware
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/vmware/*.ini


%if 0%{?with_doc}
%files doc
%license LICENSE
%doc %{docpath}
%endif

%changelog
* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20220406200213.85e77c2
- Update patches
- Fix migration of DHCP to NSX policy

* Sat Dec 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211204151123.c8919cd
- Update patches
- [Admin utils] Specify path for redistribution state file

* Fri Dec 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211203144850.cb72125
- Update patches
- Workaround for oslo_serialization bug 1515231

* Wed Dec 01 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211201164905.6afebbc
- Update patches
- Octavia: Fix logging error

* Mon Nov 29 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211129174926.85b2339
- Update patches
- Cleanup port: perform backend operation before DB operation
- [API Replay] Migrate RBAC policies

* Sat Nov 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211127144841.7fb08e1
- Update patches
- Ensure security group rule description is returned
- [V2T] Helper admin utils for validation and N/S cutover

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211122144928.50837fc
- Update patches
- [API Replay] Do not migrate NSX-V LB ports
- [API replay] Update of LB allocation pool

* Sat Nov 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211120144843.5a80f1d
- Update patches
- Retry DHCP server deletion

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211112145550.28c2078
- Update patches
- Support upload of self signed certificates

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211108131041.fbb3f64
- Update patches
- [Admin utils] Also include fwaas.conf in default config files
- [API Replay] Fail fast by default
- [NSXP,NSXT] orphaned LBs handling to nsxadmin

* Tue Oct 26 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211026144931.e9fbea5
- Update patches
- Improve security group rule add performance and reliability

* Wed Oct 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211020094214.fe17512
- Update patches
- [NSX-P/NSX-v3] Metadata route: make windows route optional
- [NSX-P] Ensure multicast is disabled for dualstack use cases

* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211013064907.4954913
- Update patches
- NSXV: validate metadata config for AZs

* Sat Oct 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211009144905.2e74c81
- Update patches
- [API replay] Avoid Octavia RPC errors
- Admin shell: Move ensure_ca_file in nsxv utils module
- [API Replay] Migrate LB on external subnets first

* Fri Oct 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211008144918.2ff3327
- Update patches
- [NSX-P] Don't cache empty logical switch id for segment

* Thu Oct 07 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20211007070657.6184264
- Update patches
- MP2P: Reduce max polling time for migrator to 2 secs

* Thu Sep 30 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210930144812.9059e7e
- Update patches
- [NSX-P|v3] Avoid trivial errors in address binding handling
- Delete bindings for provider SG only if needed

* Sat Sep 25 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210925144812.2ef3b45
- Update patches
- [API replay] Do not collect Octavia stats in API replay mode
- [V2T] Restore logging level for validation issues

* Thu Sep 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210923154821.87f5c1a
- Update patches
- Adapt check for restricted VLAN
- [MP2P migration] Use tier0 id even if already exist in policy

* Tue Sep 21 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210921144817.a13739f
- Update patches
- [API replay] QoS rules do not have an id

* Sat Sep 18 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210918144822.adcff8a
- Update patches
- Change order of MP2P migration

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210908144811.6f924dd
- Update patches
- Do not set multicast=True if not needed

* Mon Sep 06 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210906144813.ed3a192
- Update patches
- NSXV status for out of sync LBs

* Wed Sep 01 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210901154818.91e677f
- Update patches
- [API Replay] Migrate L7 policies once all listeners are migrated

* Sat Aug 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210828144809.f6b1fbc
- Update patches
- [NSX-P] Ensure multicast setting is specified in all cases
- NSXV: Recover member transaction failures

* Fri Aug 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210827144818.817f7d9
- Update patches
- [NSX-P] Disable/enable multicast on segment

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210825144812.e922ecd
- Update patches
- Remove check for external CIDR overlap

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210825085826.c0302df
- Update patches
- Use Ids for predefined NSX switching profiles
- [MP2P] Avoid starting migration while component is in progress

* Sat Aug 21 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210821144809.435294c
- Update patches
- [Admin Util] Do not write edge mapp file if no mappings found

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210820144817.c007e8b
- Update patches
- Fix zuul config

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210728181240.1cd1867
- Update patches
- API replay: post bulk sec group rule create by tenant
- API replay: don't assume barbican is enabled
- API replay: authenticated connection with custom endpoint_url
- NSX-v3: Fix add router interface for VLAN downlinks

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210714144809.c0cdd25
- Update patches
- [API replay] Fix string formatter in self._log_elapsed call
- NSXV: ensure default SG

* Sat Jul 10 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210710144808.a37bf4b
- Update patches
- [V2T][Admin utils] Exit with error if ext network not found
- V2T: Ensure transit LS is created for routers on Policy
- NSX-P+v3: Better handling for NSX address bindings
- API Replay: use sys.exit only upon error

* Thu Jul 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210708154817.d03593b
- Update patches
- [API Replay] Log QoS rule info only if it was actually created

* Sun Jul 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210704144809.d966cf9
- Update patches
- [API replay] Log elapsed time
- [Admin utils] Add a command to build edge mappings file
- NSXV: Catch exceptions on delete-cascade

* Sat Jul 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210703144808.7d3b7ce
- Update patches
- API replay: parse properly SG rules in LOG statement

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210701144809.65ea4bd
- Update patches
- Resolve authorization issue

* Wed Jun 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210623145934.ea9a092
- Update patches
- [NSX-P] Relax IP validation for DHCP and v6 subnets
- test-setup.sh: address mysql8 compatibility

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210616184810.bcb915d
- Update patches
- NSX-V: Fail only if DHCP enabled when updating external subnet

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210607154811.51d82e5
- Update patches
- NSXP: port deletion in designate
- NSXV: handle certificate bundles
- NSXV: fail attachment of VDRs to flat networks

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210528142223.c61129c
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210523161804.c61129c
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210523150041.c61129c
- Update patches
- Admin util for validating VC clusters

* Fri May 21 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210521144819.772af79
- Update patches
- [API replay] Log static routes and SG rule IDs

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210520180016.400c64a
- Update patches
- Ensure default vCenter CA file is used if specified

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210518174806.9837fbc
- Update patches
- Relax IPAM validation for port IPs
- [API Replay] Stop processing when security group creation fails
- Validate transport zone type upon neutron startup
- Catch exception when cleanup fails
- [API Replay] Support Neutron tag extension

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210513004821.6629cc2
- Update patches
- Octavia driver: L7 policy delete cascade
- Octavia LB status admin util

* Sun May 02 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210502164805.b8093c8
- Update patches
- [MP2P] Still log to stdout when logfile is specified

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210429185430.4e0fe7f
- Update patches
- Octavia driver: rule list can be None in L7 policy
- NSXV: handle missing SG mapping
- [V2T] Fail pre-checks for flat networks
- Octavia: retry update status on exception
- NSXV: Octavia L7 rule delete
- Octavia driver: Fix L7 rule creation
- [MP2P] Amend default security group post migration
- Prohibit use of UDP-CONNECT healthmonitor
- NSXV: protect against stale LB bindings

* Fri Apr 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-2.20210423164732.0170594
- Update patches
- [MP2P] Allow logging migration to stdout
- [NSX-P] Relax network update provider attribute validation
- [MP2P] Do not assume Tier0 uplink ports are attached to LS

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.1.1-.20210420165749.3756ba4
- Update patches
- Ensure DB quota driver is loaded early for NSX plugins
- [NSX-P] Ensure DHCP binding are always deleted from backend
- NSXV: Handle requests ConnectionError exception

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.60cae64git
- Update patches
- [Admin Shell][NSX-V] Set vCenter ca cert only if pem file exists
- [V2T] Fetch routers for network instead of interfaces
- [nsx_v3] Register security group resources at startup
- V2T migration: ensure dvs.ca_file is set for admin shell

* Thu Apr 01 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.50496f3git
- Update patches
- V2T migration: fix validation with ipv6 subnets
- NSX|P: Fix member creation error message

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d3c4151git
- Update patches
- V2T Migration: Fix pre-flight validation

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad34beegit
- Update patches
- MP2P migration: Some fixes
- NSX|V3+P: Fix SG creation in port create
- V2T migration: Update FWaaS group status from driver

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3d5cb61git
- Update patches
- V2T migration: remove non-neutron ports after migration
- NSX|P: Do not update backend port vif id after creation
- NSX|P: Add deletion of certificates to devstack cleanup

* Thu Mar 11 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.048e19bgit
- Update patches
- NSX|V: Fix error message for add router interface
- V2T migration: Validate direct vnic ports security disabled
- Octavia flavors
- V2T migration: more validations
- NSX|P: Fix devstack cleanup for fwaas
- NSX|P: Fix Octavia pool create with no listener
- NSX|P devstack cleanup fix
- V2T migration: validate number of loadbalancers on a router
- V2T migration: create SG rules after all groups
- V2T migraion: Handle internal networks migration

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4fb35c0git
- Update patches
- V2T migration: Few validation fixing
- NSX|V3+P: Create default SG outside the port create context
- NSXV: Handle missing pool object properly

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c382b65git
- Update patches
- NSX|P: Fix subnet gw validation
- NSX|V: Fix portgroup provider network validation
- V2T migration: Fixing different resources
- MP2P migration: fix L2gw validation

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.a660aadgit
- Update patches
- NSX|P: Router interface subnet must have a gateway
- NSX|P: Fix LB creation with differnet router owner
- V2T migration: reorder networks replay
- V2T migration: Validate there are no non-neutron networks on the nsx
- V2T migration: Set expected VIF id to compute ports

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.107d8ddgit
- Update patches
- NSXV: make service edge sizes configurable
- NSXV - complete member deletion when pool is gone

* Thu Feb 25 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2c13053git
- Update patches
- V2T cmigration: Add validation on QoS limits

* Tue Feb 23 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.27a1601git
- Update patches
- V2T migration: Support octavia barbican certificate
- V2T migration: Fix validation
- NSX|P: add static routes deletion to devstack cleanup

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.83c1abegit
- Update patches
- V2T: Fix bulk rules creation
- V2T migration: fix api-repaly for ipv6 subnets

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3a08668git
- Update patches
- V2T migration: fix FWaaS migration
- V2T migration: Migrate neutron quotas
- NSX|V: Support pagination in get virtual wires

* Mon Feb 15 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9592252git
- Update patches
- V2T migration: Add L2GW ids in validation error
- V2T migration: handle empty tier0 route redistribution
- V2T migration: Create security group rules in bulk
- V2T migration: Support vlan networks migration

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4dc491cgit
- Update patches
- V2T migration: distributed routers support
- Fix hacking requirements to support py27 in train
- NSX|V3+P: Support UDP Octavia listeners
- V2T validation: verify external subnets before migration
- V2T migration: Fix validation error message
- NSX|P: Fix octavia delete cascade with multiple listeners

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.41b08c6git
- Update patches
- NSX|V: Fix _make_port_dict api

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8bbb396git
- Update patches
- Skip reporting of non-octavia loadbalancers
- V2T migration: Cleanup unused ports post migration

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2164cb5git
- Update patches
- V2T migration: Admin utility for enable/disable route redistribution

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e5d8111git
- Update patches
- NSX|V: Fix delete cascade for deleted loadbalancers

* Thu Jan 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ec57ec9git
- Update patches
- NSX|P: Allow removing segment port address bindings
- NSX|P: Validate lb listener connection limit value

* Wed Jan 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9a919f1git
- Update patches
- NSX|P: Remove illegal characters from segment name

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c0f7c15git
- Update patches
- NSSX|P: raise proper error on subnet create/update failure
- NSX|P: keep service router when vlan interfaces exist

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.994a367git
- Update patches
- NSX|P: Handle subnets with dhcp and no gateway-ip
- NSX|P: Limit allowed cidr rule comment length

* Fri Jan 22 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.37170acgit
- Update patches
- NSX|V3+P: Do not set default Qos policy on external networks

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d86b2a6git
- Update patches
- NSX|P: Skip validation on missing edge cluster

* Mon Jan 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3edbc32git
- Update patches
- NSX|P: Update ports dhcp bindings when enabling subnet dhcp

* Sun Jan 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.36e6b1egit
- Update patches
- Fix unit tests

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad17dcegit
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad17dcegit
- Update patches
- V2T migration: Fix issues with api-replay
- V2T migration: Cleanup migrated dfw sections
- V2T migration: update network segment with vni
- V2T migration: fix qos migration & logging

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.242c6f3git
- Update patches

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.242c6f3git
- Update patches
- admin utility to disconnect edges in nsx-v

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c06cd89git
- Update patches

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c06cd89git
- Update patches
- NSX|P: Fix dhcp subnets validation

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b5ea478git
- Update patches

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b5ea478git
- Update patches
- NSX|P: fix devstack cleanup
- NSX|P: Fix zero ip handling in octavia allowed cidrs
- Api replay enhancments
- NSX|P: Fix devstack cleanup
- NSX|P: Fix subnet dhcp update
- Fix nsx-p admin utility file location
- Update Train branch requirements

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3681e6bgit
- Update patches

* Wed Dec 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3681e6bgit
- Update patches
- Revert "DVS: Disable port security and security group"
- MP2P migration: no retry & long wait for rollbacks
- Revert "NSX|P: Skip edge cluster realization"
- NSX|V: Issue proper error on UDP listeners

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ace635agit
- Update patches
- NSX|V3 add test for ipv4 cidr address pairs

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.61cd106git
- Update patches
- NSX|P: Support Octavia allowed-cidrs

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.044fc5bgit
- Update patches
- NSX|P: Fix loadbalancer delete cascade for pools

* Mon Nov 16 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.13692c4git
- Update patches
- NSX|V: Fix FW rule id for distributed routers

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.81c4513git
- Update patches
- V2T migration: Skip public networks in validation

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.752b473git
- Update patches
- NSX|V: fix rule ID for FWaaS v2 rules

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d85064dgit
- Update patches
- MP2P migration; Send END api without retries

* Sun Nov 08 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8c29071git
- Update patches
- NSX|P Check lb service on listener create/update

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d90d69egit
- Update patches
- NSX|P: Skip edge cluster realization
- NSX|P: Fix octavia operating status
- V2T migration: add pre-flight checks

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d3fdf36git
- Update patches
- NSX|P: Use realtime LB statistics
- Fix octavia pool delete & delete cascade

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9450b79git
- Update patches
- NSX|V: Fix octavia delete cascade
- NSXV Octavia: nest pool under listener on update

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0c97f9bgit
- Update patches
- NSX|V: Add pool transparency config flag

* Mon Oct 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.77f8e4bgit
- Update patches
- NSX|P: Remove extra validation for segment realization
- NSXV: Allow creation of LBs on provider networks

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cd9ebcbgit
- Update patches
- DVS Plugin: Fix port creation

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.561303dgit
- Update patches
- Add logging for octavia stats collector

* Sat Oct 17 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8369182git
- Update patches
- Make sure Octavia status reports has the member id

* Fri Oct 16 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.12d5516git
- Update patches
- NSX|P: Wait with segment realization until it is fully done
- Octavia driver bug fixes

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d6dcafegit
- Update patches
- Address various issues with Octavia delete cascade

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e060c86git
- Update patches
- NSX|P: Get LB status carefully

* Mon Oct 12 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b73977agit
- Update patches
- NSX|P: Set port attachement even without device owner

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.43403dcgit
- Update patches
- pin isort to 4.3.21

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.87e909dgit
- Update patches
- V2T migration: do not create SG on NSX during api-replay
- V2T migration: remove irrelevant pre-flight checks

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.43aee36git
- Update patches
- NSX|P: Reuse the nsxpolicy nsxlib instead of creating a new one

* Sat Sep 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.5ef3ef0git
- Update patches
- MP2Policy migration: update limits

* Fri Sep 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.82fde37git
- Update patches
- NSX|P: parse port create/update backend errors
- Use the networking-l2gw project new location

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.5ccdef1git
- Update patches
- MP2P Migration: create edge firewall section before END API

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.096d199git
- Update patches
- MP2P migration: handle orphaned SG migration

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0342079git
- Update patches
- NSX|P: silent octavia get status and statistics
- NSX|V3+P: Fix validation of number of address pairs
- Remove leftover debug comments and logs

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c33ef3dgit
- Update patches

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c33ef3dgit
- Update patches

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c33ef3dgit
- Remove leftover debug comments and logs
- Remove leftover debug comments and logs

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c33ef3dgit
- Update patches
- Remove leftover debug comments and logs

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.aa502acgit
- Update patches
- MP2P migration: Support multiple tier0 uplink ports

* Sun Aug 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9f36246git
- Update patches
- NSX|V3+P: Use elevated context on lb creation

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.eb8ebcfgit
- Update patches
- NSX|V3+P: limit number of ipv6 address pairs

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.86b02aegit
- Update patches
- MP2P migration: avoid creating duplicate resources for policy-id

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e1fe34dgit
- Update patches
- Reduce number of logs

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.66eccf1git
- Update patches
- Shorten stacktrace log on locks

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.87f0991git
- Update patches
- NSX|V3+P: suppress logs for lb statistics

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7108d81git
- Update patches
- Skip new unsupported unittests
- MP2P migration: Call rollback in the reverse order

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.763625dgit
- Update patches
- MP2P migration: migrate certificates used by md proxies

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.77e5c21git
- Update patches
- NSX|P: improve security rules creation performance

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d7fbbfdgit
- Update patches
- NSXV: Support session persistence with Octavia

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.48e0dc0git
- Update patches
- NSX|V: Add allow icmp6 multicast rules in edge firewall

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8097564git
- Update patches
- MP2P migration: select dhcp static bindings policy IDs
- MP2P migration: Wait for gateway firewall runtime status success
- MP2P Migration: select a working nsx node to work with

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.182050dgit
- Update patches

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.182050dgit
- Update patches
- MP2P migration: enhance pre-migration checks

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9a954dfgit
- Update patches
- MP2P migration: misc fixes
- Fix broken code due to openstack updates

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cc17eb6git
- Update patches
- MP2P migration: manually migrate edge firewall sections

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.a9f0bebgit
- Update patches
- MP2P migration: support changed configuration

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1fc5174git
- Update patches
- MP2P migration: Fix custom switching profiles migrations

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.467f1d4git
- Update patches
- NSX|P: Fix GW validation for updated subnet

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.6992df8git
- Update patches
- NSXP: Update Octavia with object statuses

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0d34d30git
- Update patches
- NSX|V3+P: Transalte nsxlib ServiceUnavailable exception

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.001af71git
- Update patches
- NSX|P: Fix DHCP server onfig for migrated networks

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cd20e70git
- Update patches
- NSX|P: Verify no ports before subnet deletion

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.32d6fdbgit
- Update patches
- NSX|P: Issue proper error in external network creation

* Sun Jul 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f08eef2git
- Update patches
- MP2P migration: check unsupported services pre migration

* Sun Jul 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e779f04git
- Update patches
- MP2P migration: fix post migration code

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2a7b46bgit
- Update patches
- NSX|P: fix syntax error in plugin

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.26da89agit
- Update patches
- NSX|P: Fix post migration segment dhcp

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2cb0455git
- Update patches
- NSX|P: Fix certificate secret to use the correct password

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d0aea23git
- Update patches
- NSX|P: Fix listener create & update

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ac5b76bgit
- Update patches
- MP2P migration: Few fixes

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4046e17git
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4046e17git
- Update patches
- NSX|P: Fix handling LB member on external subnet
- NSX|P: Support update of listener with certificate

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.333c9cfgit
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.333c9cfgit
- Update patches
- MP2P migration: Add pre migration check

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d973cc2git
- Update patches
- MP2P migration: improve logging

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b78b199git
- Update patches
- MP2P migration support for LB certificates

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.fc7fae1git
- Update patches
- T2P migration

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.6470868git
- Update patches
- NSX|V: Fix init connectivity validation

* Sun Jun 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7cab0ebgit
- Update patches
- Fix default args in nsxadmin

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.fef7bfbgit
- Update patches
- NSX|V3+P: Fix listener creation when LB has no name
- Support custom config files in admin utilities

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0ffb991git
- Update patches
- NSX|P: use edge nodes nsx ids for validation
- NSX|P: Remove redundent logs when updating fwaas groups

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e752443git
- Update patches
- NSX|P: update dhcp config on segent subnet

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f6d8760git
- Update patches
- NSX|V3+P: Support ipv4 CIDR in allowed address pairs

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b98a673git
- Update patches
- NSXV: allow DHCP reply on DHCP edges
- NSXT LB: handle listener deletion failures

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.55ce51fgit
- Update patches
- NSX|P: Add validation for subnet GW

* Sun May 31 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.000602agit
- Update patches
- NSX|V3+P: Validate allowed address pairs ipv6 cidr

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7baee96git
- Update patches
- NSX|P: Support different mac format in address pairs

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4530a81git
- Update patches
- NSX|P: support multiple loadbalancers on a router

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7b7182fgit
- Update patches
- NSX|V3+P: Fix nsx-net provider network creation

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad221degit
- Update patches
- Fix admin utils quota issue

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c6e18efgit
- Update patches
- NSX|P: Support fip ips in FWaaS groups

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.23390b4git
- Update patches
- Fix pep8 issues

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f81b9aegit
- Update patches
- Stop using sys.exc_clear as it is not supported in python3

* Sat May 09 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.32eb803git
- Update patches
- Handle Octavia certificates properly

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.50a96ffgit
- Update patches
- NSX|P: Make sure service router exists for vlan interface

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.fc96e32git
- Update patches
- Fix Train branch tox file deps

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3af8fa4git
- Update patches
- NSX|P: Do not search for FW resources when not needed

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.faaa81agit
- Update patches
- NSX|P: Fix ipv6 subnet gateway IP

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.eee1ff4git
- Update patches

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.eee1ff4git
- Update patches
- NSX|P: Fix router interface removal

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b7bd388git
- Update patches
- Remove leftover debug lines
- NSX|P: Do not wait for realization on DHCP ports
- NSX|P: Fix port security update for network
- NSX|P: Fix dhcp migration admin utility

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b30ef52git
- Update patches
- NSX|P: Do not use special subnet rollback with policy DHCP

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8934896git
- Update patches
- NSX|V3+P: allow network deletion in case DHCP port not found

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.daa2ff4git
- Update patches
- NSX|V: Fix SG icmp rules creation

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.761b436git
- Update patches
- Octavia: Improve callbacks for non TVD cases

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.6465159git
- Update patches
- Fix openstack client for vmware-nsx

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ffcd9d2git
- Update patches
- NSX|P: Fix trunk driver detach calls

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e0dc366git
- Update patches
- NSX|P: Support policy DHCP v6

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9147415git
- Update patches
- NSX|P: Return False at the end of _is_overlay_net

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.4f47fe0git
- Update patches
- NSXv: use correct DFW config for LBaaS rules

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.e3f5eacgit
- Update patches
- NSX|P: Fix transactions related issues
- NSX|P: Add validation on number of segment subnets
- NSX|P: Do not use transactional apis if not supported
- NSX|P: Improve error handling for MP mdproxy port
- NSX|P Fix get_subnets for router interfaces
- NSX|V3: Fix broken unit tests

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.24b3b6cgit
- Update patches
- NSX|P: Fix mdproxy validation

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.eb19612git
- Update patches
- NSX|P: Fix segments update upon dhcp/router interfaces changes

* Sun Feb 23 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.31b61a6git
- Update patches
- NSX|V3+P: Fix loadbalancer delete to support error cases
- NSX|P: Fix LB listener default pool validation

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.7f406c4git
- Update patches
- NSX|P: Use policy dhcp & mdproxy in plugin UT
- NSX|P: Support policy DHCP

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2ab37c3git
- Update patches
- Fix broken unit tests

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1371336git
- Update patches
- NSX|V3+P: Fix ladbalancer utility

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.653ea1fgit
- Update patches
- Merge "Handle edges with different number of tunnels" into stable/train
- Handle edges with different number of tunnels
- NSX|P: Support segment & port admin state

* Sun Feb 02 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.afb08fbgit
- Update patches
- Fix train branch development tox path

* Sun Jan 19 2020 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c1b6b6cgit
- Update patches
- NSX|P: devstack cleanup router interfaces

* Mon Dec 30 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b8c5535git
- Update patches
- V2T: Handle external network mapping

* Sun Dec 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b0e447dgit
- Update patches
- Merge "Migrate octavia resources" into stable/train
- Merge "NSX|P: Do not create octavia lb vip port on NSX backend" into stable/train
- Merge "Add common code for network interfaces queries" into stable/train
- Migrate octavia resources
- NSX|P: Do not create octavia lb vip port on NSX backend
- Add common code for network interfaces queries

* Thu Dec 26 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.dcb127egit
- Update patches
- Merge "Fix availability zones unit tests" into stable/train
- NSX|V3+P: Allow external subnet updates
- Fix availability zones unit tests

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9d308d1git
- Update patches
- Merge "NSX|P: Fix loadbalancer deletion port handling" into stable/train
- Merge "NSX|V: Fix get_edges for python3" into stable/train
- NSX|P: Fix loadbalancer deletion port handling
- Merge "NSX|V: Partial support for distributed routers with FWaaS-V2" into stable/train
- NSX|V: Fix get_edges for python3
- NSX|V: Partial support for distributed routers with FWaaS-V2

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.dd1b69cgit
- Update patches
- NSX|V3: Fix devstack cleanup for tier0 ports

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.bf4324fgit
- Update patches
- NSX|P: Change order of NAT and Edge Firewall rules

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cdce7a6git
- Update patches
- Merge "NSX|P: be more careful when deleting a network" into stable/train
- NSX|P: be more careful when deleting a network

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.956e33cgit
- Update patches
- Add octavia validations to Pre-migration checks admin utility

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b220230git
- Update patches
- V2P migration: Improve config file migration

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.23a2353git
- Update patches
- Add logging in get_ports for all plugins
- Merge "NSX|P: Remove unused LBaaS method" into stable/train
- NSX|P: Remove unused LBaaS method

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.04538a7git
- Update patches
- Merge "Fix typo in Octavia driver" into stable/train
- Fix typo in Octavia driver
- NSX|P Change order of actions while deleting a port

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.53afce8git
- Update patches
- V2P migration: Improve config file migration

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.5996db0git
- Update patches
- NSXv: evaluate NAT rules correctly

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3d41c28git
- Update patches
- Merge "NSX|V: Fix distributed router validation" into stable/train
- NSX|V: Fix distributed router validation

* Sun Dec 08 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.84e3f90git
- Update patches
- NSX|P: Use policy search for getting neutron net id

* Sun Dec 08 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1fc27c8git
- Update patches
- NSX|P: Fix TZ error message

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ea7c07bgit
- Update patches
- Merge "Fix neutron projects in requirements to match train branch" into stable/train
- Fix neutron projects in requirements to match train branch

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.1e8e549git
- Update patches
- NSX|P: Delete mdproxy port upon network deletion

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.2b16554git
- Update patches
- Fix train tox to get stable/train branch projects

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.98ad6c8git
- Update patches
- NSX|P: Use policy api for ipv6 routing global config

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.de18ebfgit
- Update patches
- NSX|P: Replace passthrough api for edge nodes with policy api

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.65a26adgit
- Update patches
- Merge "NSX|P: Use the policy lib for lb tags instread of nsxlib" into stable/train
- NSX|P: Use the policy lib for lb tags instread of nsxlib

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.a09d18cgit
- Update patches
- NSX|P: verify segment realization before creating MP md proxy

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.db38337git
- Update patches
- NSX|P: Use transactions for NAT rules create and delete

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.02030fcgit
- Update patches
- NSX|P: Use transactions for security groups and rules creation

* Sun Nov 17 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.0774ec7git
- Update patches
- Pre-migration config files generation

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.d9053a8git
- Update patches
- NSX|V: Fix error handling for distributed router interface

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.07913a1git
- Update patches
- DVS: Improve port actions performance

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.3d8223fgit
- Update patches
- NSX|V3+P: support removing LB listener default pool

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cc59594git
- Update patches
- NSX|V3: Fix vpnaas driver getting tier0

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ad10712git
- Update patches
- NSXV: fix router static routes for non-admin users

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.096a36cgit
- Update patches
- NSX|P: Fix typo in comment

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.12e9682git
- Update patches
- Pre-migration checks admin utility

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.269fb16git
- Update patches
- NSX|V3+P: Prevent IPv6 default router creation as static route

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.16b08d8git
- Update patches
- NSX|P: Use transactional API for router actions

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.f0fe542git
- Update patches
- NSX|P: Use transactional API for port create & update

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.37d4999git
- Update patches
- Merge "Fix octavia driver unittests" into stable/train
- Fix octavia driver unittests
- Octavia driver: agent implementation

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.854af36git
- Update patches
- Merge "NSX|V3+P: Improve subnet create & update with DHCP" into stable/train
- NSX|V3+P: Improve subnet create & update with DHCP
- NSX|V3+P: Validate static routes ip version

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.091b204git
- Update patches
- NSX|P: support policy MDproxy

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.ba65797git
- Update patches
- Merge "NSX|P: Fix metadata get_subnets" into stable/train
- NSX|P: Fix metadata get_subnets

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.cb299cagit
- Update patches
- Merge "NSX|V: Validate SG rule remote-ip-prefix is not 0.0.0.0/x" into stable/train
- NSX|V: Validate SG rule remote-ip-prefix is not 0.0.0.0/x

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.45721b7git
- Update patches
- NSX-TVD: Copy filters dict before calling plugin

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.c61078cgit
- Update patches
- Fix .gitreview for stable branch
- update tox for stable branch

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.b26bfb5git
- Update patches
- Merge "NSX|V3+P: Fix MDProxy TZ validation"
- Merge "NSX|v+v3+p: Allow resetting port binding host"
- NSX|V3+P: Fix MDProxy TZ validation
- NSX|v+v3+p: Allow resetting port binding host

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.8f6b8a1git
- Update patches
- NSX|P: Fail network creation of mdproxy creation fails

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.0-2.9ee9ed4git
- Update patches

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "NSX|V: Configurable backend security group name"
- NSX|V: Configurable backend security group name
- NSX|V3+P: Validate network TZ match the MDproxy one

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix master branch lower-constrains


